/**
 * @file recordsRoutes.js
 * @author Radim Buráň (xburan03@stud.fit.vutbr.cz)
 */

const express = require('express');
const router = express.Router();

const controller = require('../controllers/recordsController');
const authMiddleware = require("../middlewares/authMiddleware");

router.get('/', [authMiddleware], controller.read);
router.get('/last', [authMiddleware], controller.readLast);
router.post('/', [authMiddleware], controller.write);

module.exports = router;